<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<%@page contentType="text/html" pageEncoding="UTF-8" %>

<%@taglib uri="http://www.esri.com/adf/web" prefix="a"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ page language="java" import="java.util.Locale" %>

<html>
  <head>
    <meta http-equiv="Content-type" content="text/html;charset=UTF-8" > 
    
    <title>Add Source Task Sample</title>
    
    <link rel="stylesheet" href="css/soria.all.css.min.css" type="text/css"></link>
    <link rel="stylesheet" href="css/adf.css" type="text/css"></link>
    <link rel="stylesheet" href="css/wma.css" type="text/css"></link>
    <link rel="stylesheet" href="css/themes/blue2/blue2.css" type="text/css" media="screen" />
      

   <script type="text/javascript" language="javascript" src="js/esri/dojo/dojo.js" djConfig="locale:'<%=Locale.getDefault().toString().replace('_', '-').toLowerCase()%>' "></script>
   <script type="text/javascript">
      adfdojo.require("adf.adf");
      adfdojo.require("wma.app");
      adfdojo.requireLocalization("resource","adf");
      adfdojo.requireLocalization("resource","wma");      

      adfdojo.addOnLoad(function() {
        if (wma) {
          wma.init();
        }
      });
    </script>

  </head>

  <f:view>
    <f:loadBundle basename="res.mapviewer" var="res"/>
    
    <a:context value="#{mapContext}" />
    
    <body class="soria">
      <h:form id="mapForm" style="height: 100%; width: 100%;">
      
        <div id="layoutContainer">
          
        </div>
        
        <div id="content">
        
          <span id="titleText">Add Source Task Sample</span>
          
          <div id="linksPane">
            <table align="right">
              <tr>
                <td align="right">
                  
      <a class="appLink" href="help/index.html" target="_blank">Help</a>
                </td>
              </tr>
              <tr>
                <td align="right">
                  <h:outputText styleClass="appNote" value="#{res.LoggedInAs}: #{mapContext.attributes.webappSecurityInfo.user}" rendered="#{mapContext.attributes.webappSecurityInfo.secured}"/>
                  <h:commandLink styleClass="appLink" action="#{mapContext.attributes.webappSecurityInfo.logOut}" rendered="#{mapContext.attributes.webappSecurityInfo.logoutAvailable}">
                     <h:outputText value=" #{res.LogOut}"/>
                  </h:commandLink>
                </td>
              </tr>
            </table> 
          </div> 
        
          <!-- 
              Custom content to place in a dijit.TitlePane should be placed here in a div whose class attribute is "sideContent".
              The title attribute for this node will be used as the title.  If a resource string wma.Res.getString("<title attribute value>")
              exists, the corresponding value will be used first.
              
              For Example:              
              <div class="sideContent" title="Content Title String">
                <h1>Custom Side Content</h1>
              </div>
          -->
          
          <!-- Map Control Content -->
          <a:map value="#{mapContext.webMap}" id="map1" width="#{param.width}" height="#{param.height}" scaleBar="#{mapContext.attributes['webappScaleBar']}" />
          
          <!-- Map TOC Content -->
          
          <a:toc id="toc1" value="#{mapContext.webToc}" mapId="map1" />
      
          
          <!-- Task Results TOC Content -->
          <a:results id="results" value="#{mapContext.attributes.webappResults}" mapId="map1" clientPostBack="true" xslFile="results.xsl" />
  
          <!-- Map Overview Content -->
          
          <table cellspacing="0" cellpadding="0">
            <tr>
              <td align="center" valign="middle">
                <a:overview id="ov1" value="#{mapContext.webOverview}" mapId="map1" width="280" height="190" lineColor="#f00"/>
              </td>
            </tr>
          </table>
      
          
          <!-- Map Tools Content -->
          <a:task id="mapToolsTask"
                  value="#{mapContext.attributes.webappMapToolsTask}"
                  taskInfo="#{mapContext.attributes.webappMapToolsTask.taskInfo}"
                  mapId="map1" 
                  windowingSupport="false"
                  style="padding:0px;margin:0px;" 
                  xslFile="maptoolstask.xsl" />
          <input id="overviewToggleButton" width="25px" type="image" height="25px" 
                 title="Toggle Overview Map"
                 onclick="wma.toggleOverview(this); return false;"
                 onload="adf.Utils.setImageSrc(this, 'images/hide-overview-map.png');"
                 src="images/hide-overview-map.png" />
          
          <!--  Application Tasks Content -->
        <div id="task-menu" class="tasks-menu">
          <ul>
	      <li class="menu-bar">
	       <a href="#" class="menu-header" title="Add Source" onclick="wma.toggleWindow('win_EsriTaskCell_addSourceTask');">
	          <span>Add Source</span>
	       </a>
	      </li>            
          </ul>
        </div>  
        
        <a:task mapId="map1" id="addSourceTask"	value="#{mapContext.attributes.addSourceTask}" taskInfo="#{mapContext.attributes.addSourceTask.taskInfo}" windowingSupport="true"/>
         
        <h:inputHidden id="taskWindows"/>
  
        </div>
      
      </h:form>

    </body>    

  </f:view>

</html>